# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without mead

%define base_name  dbcp 
%global short_name commons-%{base_name}
%global eap6_name %{short_name}-eap6

%define section    free

%define reltag redhat_2
%define namedreltag -redhat-2
%global namedversion %{version}%{?namedreltag}

%define maven_version 1.4-19.redhat_2.ep6.el6

Name:           apache-commons-dbcp-eap6
Version:        1.4
Release:        13.1.%{?reltag}%{?dist}
Epoch:          0
Summary:        Apache Database Connection Pools
License:        ASL 2.0
Group:          Development/Libraries/Java

%if %with mead
Source102: commons-dbcp-tomcat-1.4-redhat-2.pom
Source103: commons-dbcp-tomcat-1.4-redhat-2.jar
Source104: commons-dbcp-repolib-1.4-redhat-2.pom
Source105: commons-dbcp-repolib-1.4-redhat-2-sources.zip
Source106: commons-dbcp-repolib-1.4-redhat-2-patches.zip
Source107: commons-dbcp-1.4-redhat-2.pom
Source108: commons-dbcp-1.4-redhat-2.jar
Source109: commons-dbcp-1.4-redhat-2-sources.jar
%endif

URL:            http://commons.apache.org/dbcp/

BuildRequires:  jpackage-utils

Requires:       java >= 0:1.6.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Many Apache projects support interaction with a relational database. Creating a
new connection for each user can be time consuming (often requiring multiple
seconds of clock time), in order to perform a database transaction that might
take milliseconds. Opening a connection per user can be unfeasible in a
publicly-hosted Internet application where the number of simultaneous users can
be very large. Accordingly, developers often wish to share a "pool" of open
connections between all of the application's current users. The number of users
actually performing a request at any given time is usually a very small
percentage of the total number of active users, and during request processing
is the only time that a database connection is required. The application itself
logs into the DBMS, and handles any user account issues internally.

%package -n apache-commons-dbcp-tomcat-eap6
Summary:        Commons DBCP dependency for Tomcat 6 and 7
Group:          Development/Libraries/Java


%description -n apache-commons-dbcp-tomcat-eap6
Commons DBCPdependency for Tomcat 6 and 7.

%prep

%build

%install
rm -rf %{buildroot}

##DEBUG
ls -l %{_sourcedir}

# jars
mkdir -p %{buildroot}%{_javadir}/%{eap6_name}
cp -p %{_sourcedir}/%{short_name}-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-%{namedversion}.jar

ln -s %{short_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}.jar

#tomcat jars
cp -p %{_sourcedir}/%{short_name}-tomcat-%{namedversion}.jar \
      %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat-%{namedversion}.jar

ln -s %{short_name}-tomcat-%{namedversion}.jar %{buildroot}%{_javadir}/%{eap6_name}/%{short_name}-tomcat.jar

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}.jar

%files -n apache-commons-dbcp-tomcat-eap6
%defattr(0644,root,root,0755)
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat-%{namedversion}.jar
%{_javadir}*/%{eap6_name}/%{short_name}-tomcat.jar

%changelog
* Sat Sep 29 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4-14.redhat_2
- Rewrap

* Wed Aug 29 2012 Weinan Li <weli@redhat.com> - 0:1.4-13.redhat_1
- wrap new build

* Tue Aug 28 2012 Weinan Li <weli@redhat.com> - 0:1.4-12.redhat_1
- Rebuild to wrap newest packages

* Wed Jun 06 2012 Weinan Li <weli@redhat.com> - 0:1.4-11.redhat_1
- Add -tomcat subpackage

* Fri May 25 2012 Weinan Li <weli@redhat.com> - 0:1.4-10.redhat_1
- Initial build
